/*

  Time-of-Flight Distance Sensor GY-VL53L0XV2 (6 pin)

  Parts required:
  - Arduino Board
  - Time-of-Flight Distance Sensor GY-VL53L0XV2 (6 pin)

  Libraries required:
  - Adafruit_VL53L0X

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 17 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

#include "Adafruit_VL53L0X.h"                                                 // include library Adafruit_VL53L0X

Adafruit_VL53L0X lox = Adafruit_VL53L0X();                                    // create object lox from Adafruit_VL53L0X

void setup() {
  Serial.begin(9600);                                                         // start Serial Monitor communication

  while (! Serial) {                                                          // wait for Serial Monitor is ready
    delay(1);
  }

  Serial.println("Adafruit VL53L0X test");                                    // print text to Serial Monitor
  if (!lox.begin()) {                                                         // check if the VL53L0X exist on the I2C adress 0x29
    Serial.println(F("Failed to boot VL53L0X"));                              // if not exist print text to Serial Monitor
    while (1);
  }
  Serial.println(F("VL53L0X API Simple Ranging example\n\n"));                // print text to Serial Monitor
}

void loop() {
  VL53L0X_RangingMeasurementData_t measure;                                   // 

  Serial.print("Reading a measurement... ");                                  // get measure data from the module
  lox.rangingTest(&measure, false);                                           // set lox.rangingTest to false

  if (measure.RangeStatus != 4) {                                             // check that measure.RangeStatus is not equal to 4                     
    Serial.print("Distance (mm): "); Serial.println(measure.RangeMilliMeter); // print text to Serial Monitor
  } else {
    Serial.println(" out of range ");                                         // if out of range print text to Serial Monitor
  }
  
  delay(100);                                                                 // wait 100ms
}
